%define debug_package %{nil}

Name:		mono-addins
Version:	0.3.1
Release:	3%{?dist}.3
Summary:	Addins for mono
Group:		Development/Languages
License:	GPLv2
Patch0:		mono-addins.patch
Patch1:		mono-addins-fix_addin_scan.patch
# use upstream bug fix to prevent exception:
# http://anonsvn.mono-project.com/viewvc?view=revision&revision=112158
Patch2:		mono-addins-0.3.1-exception-fix.patch
URL:		http://www.mono-project.com/
Source0:	%{name}-%{version}.tar.bz2	
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel >= 1.2.3, gtk-sharp2-devel, autoconf, automake
BuildRequires:	pkgconfig
ExcludeArch:	ppc64

%description
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

%package devel
Summary: Development files for mono-addins
Group: Development/Applications
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .fix_addin_scan
%patch2 -p1 -b .exception-fix
autoreconf -f -i -s

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-gui
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/mautil
%{_libdir}/mono/mono-addins
%{_libdir}/mono/gac/Mono.Addins.Gui
%{_libdir}/mono/gac/Mono.Addins.Setup
%{_libdir}/mono/gac/Mono.Addins
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.Gui
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.Setup
%{_libdir}/mono/gac/policy.0.2.Mono.Addins

%files devel
%defattr (-,root,root,-)
%{_libdir}/pkgconfig/mono-addins*

%changelog
* Mon Aug 24 2009 Christian Krause <chkr@fedoraproject.org> - 0.3.1-3.3
- add upstream bug fix to prevent exception when no local addins can
be found (BZ #514936)

* Mon Mar 02 2009 David Nielsen <dnielsen@fedoraproject.org> - 0.3.1-3.2
- spec change suggested by ivazquez

* Mon Mar 02 2009 David Nielsen <dnielsen@fedoraproject.org> - 0.3.1-3.1
- cvs screwup

* Mon Mar 02 2009 David Nielsen <dnielsen@fedoraproject.org> - 0.3.1-3
- Rebuild for #487155
 
* Mon Jul 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2.2
- rebuild

* Thu May 01 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2.1
- rebuild

* Tue Apr 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2
- added BR pkgconfig

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-1
- bump (should fix the monodevelop problems)

* Tue Apr 15 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.3-5
- Add patch from Debian to make sure addins don't disappear in f-spot (#442343)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-4
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 <paul@all-the-johnsons.co.uk> 0.3-3
- removed debug package
- spec file fixes
- additional BRs for autoreconf
- excludearch ppc64 added

* Thu Jan 03 2008 <paul@all-the-johnsons.co.uk> 0.3-2
- enabled gui
- spec file fixes

* Wed Dec 19 2007 <paul@all-the-johnsons.co.uk> 0.3-1
- Initial import for FE
